gstreamermm: Gst::MixerTrack Class Reference

Public Member Functions | Related Functions

# Gst::MixerTrack Class Reference
[gstreamermm Interfaces]

A track in an element that implement the Gst::Mixer interface. More...

Inherits Glib::Object.

Inherited by Gst::MixerOptions.

Collaboration diagram for Gst::MixerTrack:
[legend]

List of all members.

## Public Member Functions
virtual | ~MixerTrack ()
GstMixerTrack* | gobj ()
| Provides access to the underlying C GObject.
const GstMixerTrack* | gobj () const
| Provides access to the underlying C GObject.
GstMixerTrack* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | has_flags (Gst::MixerTrackFlags flags)
| Checks to see whether the mixer track has the specified flags.
Glib::ustring | get_label () const
| Get a string containing a descriptive name for this track.
guint32 | get_num_channels () const
| Get the number of channels in the Gst::MixerTrack.
guint32 | get_min_volume () const
| Get minimum volume of in the Gst::MixerTrack.
guint32 | get_max_volume () const
| Get the maximum volume of the Gst::MixerTrack.
Glib::PropertyProxy_ReadOnly < guint > | property_flags () const
| Flags indicating the type of mixer track.
Glib::PropertyProxy_ReadOnly < guint > | property_index () const
| Track index.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_label () const
| The label assigned to the track (may be translated).
Glib::PropertyProxy_ReadOnly< int > | property_max_volume () const
| The maximum possible volume level.
Glib::PropertyProxy_ReadOnly< int > | property_min_volume () const
| The minimum possible volume level.
Glib::PropertyProxy_ReadOnly< int > | property_num_channels () const
| The number of channels contained within the track.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_untranslated_label () const
| The untranslated label assigned to the track (since 0.10.13).
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::MixerTrack > | wrap (GstMixerTrack* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A track in an element that implement the Gst::Mixer interface.

## Constructor & Destructor Documentation

virtual Gst::MixerTrack::~MixerTrack | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::ustring Gst::MixerTrack::get_label | ( |  | ) | const

Get a string containing a descriptive name for this track.

guint32 Gst::MixerTrack::get_max_volume | ( |  | ) | const

Get the maximum volume of the Gst::MixerTrack.

guint32 Gst::MixerTrack::get_min_volume | ( |  | ) | const

Get minimum volume of in the Gst::MixerTrack.

guint32 Gst::MixerTrack::get_num_channels | ( |  | ) | const

Get the number of channels in the Gst::MixerTrack.

GstMixerTrack* Gst::MixerTrack::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gst::MixerOptions.

const GstMixerTrack* Gst::MixerTrack::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gst::MixerOptions.

GstMixerTrack* Gst::MixerTrack::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented in Gst::MixerOptions.

bool Gst::MixerTrack::has_flags | ( | Gst::MixerTrackFlags | flags | ) |

Checks to see whether the mixer track has the specified flags.

Parameters:

  | flags | The flags to check for.

Returns:
  Whether the mixer track has the specified flags or not.

Glib::PropertyProxy_ReadOnly<guint> Gst::MixerTrack::property_flags | ( |  | ) | const

Flags indicating the type of mixer track.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::MixerTrack::property_index | ( |  | ) | const

Track index.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::MixerTrack::property_label | ( |  | ) | const

The label assigned to the track (may be translated).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::MixerTrack::property_max_volume | ( |  | ) | const

The maximum possible volume level.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::MixerTrack::property_min_volume | ( |  | ) | const

The minimum possible volume level.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::MixerTrack::property_num_channels | ( |  | ) | const

The number of channels contained within the track.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::MixerTrack::property_untranslated_label | ( |  | ) | const

The untranslated label assigned to the track (since 0.10.13).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::MixerTrack > wrap | ( | GstMixerTrack * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/mixertrack.h